package services

import (
	"fmt"
	"hongze/hz_crm_api/models/company"
	"hongze/hz_crm_api/services/alarm_msg"
)

// 权益客户新增历史备注
func AddCompanyHistoryRemark(item *company.CompanyHistoryRemark) {
	var err error
	defer func() {
		if err != nil {
			fmt.Println(err)
			go alarm_msg.SendAlarmMsg("权益客户新增历史备注，失败："+err.Error()+fmt.Sprint(item), 2)
		}
	}()
	err = company.AddCompanyHistoryRemark(item)
	return
}

// 删除权益客户新增历史备注
func DelCompanyHistoryRemark(tableName string, tableId int) {
	if tableName == "" {
		return
	}
	var err error
	defer func() {
		if err != nil {
			fmt.Println(err)
			go alarm_msg.SendAlarmMsg(fmt.Sprintf("权益客户新增历史备注，失败："+err.Error()+"tableName:", tableName, "tableId", tableId), 2)
		}
	}()
	err = company.DelCompanyHistoryRemark(tableName, tableId)
	return
}
